<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PropertyTemplate (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertyTemplate (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyTemplate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/PaneInformation.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/RegionUtil.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/PropertyTemplate.html" target="_top">Frames</a>
        </li>
        <li><a href="PropertyTemplate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class PropertyTemplate" class="title">Class PropertyTemplate</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.PropertyTemplate</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PropertyTemplate</span>
extends java.lang.Object</pre>
                <div class="block"><p>
                    A <a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                         title="class in org.apache.poi.ss.util"><code>PropertyTemplate</code></a> is a template that
                    can be applied to any sheet in
                    a project. It contains all the border type and color attributes needed to
                    draw all the borders for a single sheet. That template can be applied to any
                    sheet in any workbook.

                    This class requires the full spreadsheet to be in memory, so
                    <a href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html"
                       title="class in org.apache.poi.xssf.streaming"><code>SXSSFWorkbook</code></a> Spreadsheets are
                    not
                    supported. The same <a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                                           title="class in org.apache.poi.ss.util"><code>PropertyTemplate</code></a>
                    can, however, be applied to both
                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                       title="class in org.apache.poi.hssf.usermodel"><code>HSSFWorkbook</code></a> and <a
                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                        title="class in org.apache.poi.xssf.usermodel"><code>XSSFWorkbook</code></a>
                    objects if necessary. Portions of the border that fall outside the max range
                    of the <a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                              title="interface in org.apache.poi.ss.usermodel"><code>Workbook</code></a> sheet are
                    ignored.
                </p>

                    <p>
                        This would replace <a href="../../../../../org/apache/poi/ss/util/RegionUtil.html"
                                              title="class in org.apache.poi.ss.util"><code>RegionUtil</code></a>.
                    </p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#PropertyTemplate--">PropertyTemplate</a></span>()</code>
                                    <div class="block">Create a PropertyTemplate object</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#PropertyTemplate-org.apache.poi.ss.util.PropertyTemplate-">PropertyTemplate</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                                        title="class in org.apache.poi.ss.util">PropertyTemplate</a>&nbsp;template)</code>
                                    <div class="block">Create a PropertyTemplate object from another PropertyTemplate
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#applyBorders-org.apache.poi.ss.usermodel.Sheet-">applyBorders</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>
                                    <div class="block">Applies the drawn borders to a Sheet.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#drawBorderColors-org.apache.poi.ss.util.CellRangeAddress-short-org.apache.poi.ss.usermodel.BorderExtent-">drawBorderColors</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;range,
                                    short&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                       title="enum in org.apache.poi.ss.usermodel">BorderExtent</a>&nbsp;extent)</code>
                                    <div class="block">Sets the color for a group of cell borders for a cell range.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#drawBorders-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.usermodel.BorderExtent-">drawBorders</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;range,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                       title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;borderType,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                       title="enum in org.apache.poi.ss.usermodel">BorderExtent</a>&nbsp;extent)</code>
                                    <div class="block">Draws a group of cell borders for a cell range.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#drawBorders-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.BorderStyle-short-org.apache.poi.ss.usermodel.BorderExtent-">drawBorders</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;range,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                       title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;borderType,
                                    short&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                       title="enum in org.apache.poi.ss.usermodel">BorderExtent</a>&nbsp;extent)</code>
                                    <div class="block">Draws a group of cell borders for a cell range.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getBorderStyle-org.apache.poi.ss.util.CellAddress-java.lang.String-">getBorderStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell,
                                    java.lang.String&nbsp;property)</code>
                                    <div class="block">Retrieves the border style for a given cell</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getBorderStyle-int-int-java.lang.String-">getBorderStyle</a></span>(int&nbsp;row,
                                    int&nbsp;col,
                                    java.lang.String&nbsp;property)</code>
                                    <div class="block">Retrieves the border style for a given cell</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getNumBorderColors-org.apache.poi.ss.util.CellAddress-">getNumBorderColors</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell)</code>
                                    <div class="block">Retrieves the number of border colors assigned to a cell</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getNumBorderColors-int-int-">getNumBorderColors</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">Retrieves the number of border colors assigned to a cell</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getNumBorders-org.apache.poi.ss.util.CellAddress-">getNumBorders</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell)</code>
                                    <div class="block">Retrieves the number of borders assigned to a cell</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getNumBorders-int-int-">getNumBorders</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">Retrieves the number of borders assigned to a cell</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getTemplateProperty-org.apache.poi.ss.util.CellAddress-java.lang.String-">getTemplateProperty</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell,
                                    java.lang.String&nbsp;property)</code>
                                    <div class="block">Retrieves the border style for a given cell</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#getTemplateProperty-int-int-java.lang.String-">getTemplateProperty</a></span>(int&nbsp;row,
                                    int&nbsp;col,
                                    java.lang.String&nbsp;property)</code>
                                    <div class="block">Retrieves the border style for a given cell</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PropertyTemplate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PropertyTemplate</h4>
                                <pre>public&nbsp;PropertyTemplate()</pre>
                                <div class="block">Create a PropertyTemplate object</div>
                            </li>
                        </ul>
                        <a name="PropertyTemplate-org.apache.poi.ss.util.PropertyTemplate-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PropertyTemplate</h4>
                                <pre>public&nbsp;PropertyTemplate(<a
                                        href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                                        title="class in org.apache.poi.ss.util">PropertyTemplate</a>&nbsp;template)</pre>
                                <div class="block">Create a PropertyTemplate object from another PropertyTemplate</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>template</code> - a PropertyTemplate object</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="drawBorders-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.usermodel.BorderExtent-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawBorders</h4>
                                <pre>public&nbsp;void&nbsp;drawBorders(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;range,
                        <a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                           title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;borderType,
                        <a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                           title="enum in org.apache.poi.ss.usermodel">BorderExtent</a>&nbsp;extent)</pre>
                                <div class="block">Draws a group of cell borders for a cell range. The borders are not
                                    applied to the cells at this time, just the template is drawn. To apply
                                    the drawn borders to a sheet, use <a
                                            href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#applyBorders-org.apache.poi.ss.usermodel.Sheet-"><code>applyBorders(org.apache.poi.ss.usermodel.Sheet)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>range</code> - - <a
                                            href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                            title="class in org.apache.poi.ss.util"><code>CellRangeAddress</code></a>
                                        range of cells on which borders are
                                        drawn.
                                    </dd>
                                    <dd><code>borderType</code> - - Type of border to draw. <a
                                            href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>BorderStyle</code></a>.
                                    </dd>
                                    <dd><code>extent</code> - - <a
                                            href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>BorderExtent</code></a> of
                                        the borders to be
                                        applied.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawBorders-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.BorderStyle-short-org.apache.poi.ss.usermodel.BorderExtent-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawBorders</h4>
                                <pre>public&nbsp;void&nbsp;drawBorders(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;range,
                        <a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                           title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;borderType,
                        short&nbsp;color,
                        <a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                           title="enum in org.apache.poi.ss.usermodel">BorderExtent</a>&nbsp;extent)</pre>
                                <div class="block">Draws a group of cell borders for a cell range. The borders are not
                                    applied to the cells at this time, just the template is drawn. To apply
                                    the drawn borders to a sheet, use <a
                                            href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#applyBorders-org.apache.poi.ss.usermodel.Sheet-"><code>applyBorders(org.apache.poi.ss.usermodel.Sheet)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>range</code> - - <a
                                            href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                            title="class in org.apache.poi.ss.util"><code>CellRangeAddress</code></a>
                                        range of cells on which borders are
                                        drawn.
                                    </dd>
                                    <dd><code>borderType</code> - - Type of border to draw. <a
                                            href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>BorderStyle</code></a>.
                                    </dd>
                                    <dd><code>color</code> - - Color index from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>IndexedColors</code></a>
                                        used to draw the
                                        borders.
                                    </dd>
                                    <dd><code>extent</code> - - <a
                                            href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>BorderExtent</code></a> of
                                        the borders to be
                                        applied.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyBorders-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyBorders</h4>
                                <pre>public&nbsp;void&nbsp;applyBorders(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                                <div class="block">Applies the drawn borders to a Sheet. The borders that are applied
                                    are
                                    the ones that have been drawn by the <a
                                            href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#drawBorders-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.usermodel.BorderStyle-org.apache.poi.ss.usermodel.BorderExtent-"><code>drawBorders(org.apache.poi.ss.util.CellRangeAddress,
                                        org.apache.poi.ss.usermodel.BorderStyle,
                                        org.apache.poi.ss.usermodel.BorderExtent)</code></a> and
                                    <a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#drawBorderColors-org.apache.poi.ss.util.CellRangeAddress-short-org.apache.poi.ss.usermodel.BorderExtent-"><code>drawBorderColors(org.apache.poi.ss.util.CellRangeAddress,
                                        short, org.apache.poi.ss.usermodel.BorderExtent)</code></a> methods.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - - <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>Sheet</code></a> on
                                        which to apply borders
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawBorderColors-org.apache.poi.ss.util.CellRangeAddress-short-org.apache.poi.ss.usermodel.BorderExtent-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawBorderColors</h4>
                                <pre>public&nbsp;void&nbsp;drawBorderColors(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;range,
                             short&nbsp;color,
                             <a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                title="enum in org.apache.poi.ss.usermodel">BorderExtent</a>&nbsp;extent)</pre>
                                <div class="block">Sets the color for a group of cell borders for a cell range. The
                                    borders
                                    are not applied to the cells at this time, just the template is drawn. If
                                    the borders do not exist, a BORDER_THIN border is used. To apply the
                                    drawn borders to a sheet, use <a
                                            href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html#applyBorders-org.apache.poi.ss.usermodel.Sheet-"><code>applyBorders(org.apache.poi.ss.usermodel.Sheet)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>range</code> - - <a
                                            href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                            title="class in org.apache.poi.ss.util"><code>CellRangeAddress</code></a>
                                        range of cells on which colors are
                                        set.
                                    </dd>
                                    <dd><code>color</code> - - Color index from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>IndexedColors</code></a>
                                        used to draw the
                                        borders.
                                    </dd>
                                    <dd><code>extent</code> - - <a
                                            href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>BorderExtent</code></a> of
                                        the borders for which
                                        colors are set.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumBorders-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumBorders</h4>
                                <pre>public&nbsp;int&nbsp;getNumBorders(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell)</pre>
                                <div class="block">Retrieves the number of borders assigned to a cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumBorders-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumBorders</h4>
                                <pre>public&nbsp;int&nbsp;getNumBorders(int&nbsp;row,
                         int&nbsp;col)</pre>
                                <div class="block">Retrieves the number of borders assigned to a cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> -</dd>
                                    <dd><code>col</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumBorderColors-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumBorderColors</h4>
                                <pre>public&nbsp;int&nbsp;getNumBorderColors(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell)</pre>
                                <div class="block">Retrieves the number of border colors assigned to a cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumBorderColors-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumBorderColors</h4>
                                <pre>public&nbsp;int&nbsp;getNumBorderColors(int&nbsp;row,
                              int&nbsp;col)</pre>
                                <div class="block">Retrieves the number of border colors assigned to a cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> -</dd>
                                    <dd><code>col</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderStyle-org.apache.poi.ss.util.CellAddress-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderStyle</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                                    title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderStyle(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell,
                                  java.lang.String&nbsp;property)</pre>
                                <div class="block">Retrieves the border style for a given cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                    <dd><code>property</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderStyle-int-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderStyle</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                                    title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderStyle(int&nbsp;row,
                                  int&nbsp;col,
                                  java.lang.String&nbsp;property)</pre>
                                <div class="block">Retrieves the border style for a given cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> -</dd>
                                    <dd><code>col</code> -</dd>
                                    <dd><code>property</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTemplateProperty-org.apache.poi.ss.util.CellAddress-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTemplateProperty</h4>
                                <pre>public&nbsp;short&nbsp;getTemplateProperty(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;cell,
                                 java.lang.String&nbsp;property)</pre>
                                <div class="block">Retrieves the border style for a given cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                    <dd><code>property</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTemplateProperty-int-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getTemplateProperty</h4>
                                <pre>public&nbsp;short&nbsp;getTemplateProperty(int&nbsp;row,
                                 int&nbsp;col,
                                 java.lang.String&nbsp;property)</pre>
                                <div class="block">Retrieves the border style for a given cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> -</dd>
                                    <dd><code>col</code> -</dd>
                                    <dd><code>property</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyTemplate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/PaneInformation.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/RegionUtil.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/PropertyTemplate.html" target="_top">Frames</a>
        </li>
        <li><a href="PropertyTemplate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
